# Uses of Enum Class
org.apache.lucene.store.FileTypeHint

Packages that use FileTypeHint
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of FileTypeHint in org.apache.lucene.store

  Methods in org.apache.lucene.store that return FileTypeHint
  Modifier and Type
  Method
  Description
  `static FileTypeHint`
  FileTypeHint.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileTypeHint[]`
  FileTypeHint.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.